/* This is an autogenerated file from sap_h.pl */
/* Tag: noCheckHeader */

/*    CONFIDENTIAL */
/*    Copyright (C) Cambridge Silicon Radio Ltd 2008. All rights reserved. */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __MGT_SAP_H__
#define __MGT_SAP_H__

/* ------------------------------------------ */
extern void unifi_mgt_wifi_on_req(FsmContext* context, const unifi_MACAddress* address, const unifi_DataBlockList* mibFiles);

extern void unifi_mgt_wifi_off_req(FsmContext* context);

extern void unifi_mgt_wifi_flightmode_req(FsmContext* context, const unifi_MACAddress* address, const unifi_DataBlockList* mibFiles);

extern void unifi_mgt_set_value_req(FsmContext* context, const unifi_AppValue* appValue);

extern void unifi_mgt_get_value_req(FsmContext* context, unifi_AppValueId appValueId);

extern void unifi_mgt_mib_set_req(FsmContext* context, const unifi_DataBlock* mibAttribute);

extern void unifi_mgt_mib_get_req(FsmContext* context, const unifi_DataBlock* mibAttribute);

extern void unifi_mgt_mib_get_next_req(FsmContext* context, const unifi_DataBlock* mibAttribute);

extern void unifi_mgt_scan_full_req(FsmContext* context, const unifi_SSID* ssid, Boolean forceScan, 
                     unifi_ScanType scanType, 
                     const unifi_DataBlock* channelList);

extern void unifi_mgt_scan_results_get_req(FsmContext* context);

extern void unifi_mgt_connect_req(FsmContext* context, const unifi_ConnectionConfig* connectionConfig);

extern void unifi_mgt_disconnect_req(FsmContext* context);

extern void unifi_mgt_multicast_address_req(FsmContext* context, unifi_ListAction action, const unifi_MulticastAddressList* setAddresses);

extern void unifi_mgt_pmkid_req(FsmContext* context, unifi_ListAction action, const unifi_PmkidList* setPmkidList);

extern void unifi_mgt_key_req(FsmContext* context, unifi_ListAction action, const unifi_Key* key);

extern void unifi_mgt_packet_filter_set_req(FsmContext* context, const unifi_DataBlock* filter, unifi_PacketFilterMode mode, 
                     unifi_IPV4Address arpFilterAddress);

extern void unifi_mgt_tspec_req(FsmContext* context, unifi_ListAction action, uint32 transactionId, 
                     Boolean strict, 
                     const unifi_DataBlock* tspec, 
                     const unifi_DataBlock* tclas);

/* ------------------------------------------ */
extern void unifi_mgt_wifi_on_cfm(void* context, unifi_Status status);

extern void unifi_mgt_wifi_off_cfm(void* context, unifi_Status status);

extern void unifi_mgt_wifi_off_ind(void* context, unifi_ControlIndication controlIndication);

extern void unifi_mgt_wifi_flightmode_cfm(void* context, unifi_Status status);

extern void unifi_mgt_set_value_cfm(void* context, unifi_Status status, unifi_AppValueId appValueId);

extern void unifi_mgt_get_value_cfm(void* context, unifi_Status status, const unifi_AppValue* appValue);

extern void unifi_mgt_mib_set_cfm(void* context, unifi_Status status);

extern void unifi_mgt_mib_get_cfm(void* context, unifi_Status status, const unifi_DataBlock* mibAttributeValue);

extern void unifi_mgt_mib_get_next_cfm(void* context, unifi_Status status, const unifi_DataBlock* mibAttribute);

extern void unifi_mgt_scan_full_cfm(void* context, unifi_Status status);

extern void unifi_mgt_scan_results_get_cfm(void* context, unifi_Status status, const unifi_ScanResultList* resultsBuffer);

extern void unifi_mgt_scan_result_ind(void* context, const unifi_ScanResult* result);

extern void unifi_mgt_connect_cfm(void* context, unifi_Status status);

extern void unifi_mgt_media_status_ind(void* context, unifi_MediaStatus mediaStatus, const unifi_ConnectionInfo* connectionInfo);

extern void unifi_mgt_connection_quality_ind(void* context, const unifi_ConnectionStats* connectionStats);

extern void unifi_mgt_disconnect_cfm(void* context, unifi_Status status);

extern void unifi_mgt_multicast_address_cfm(void* context, unifi_Status status, unifi_ListAction action, 
                     const unifi_MulticastAddressList* getAddresses);

extern void unifi_mgt_mic_failure_ind(void* context, Boolean secondFailure, uint16 count, 
                     const unifi_MACAddress* address, 
                     unifi_KeyType keyType, 
                     uint16 keyId, 
                     const unifi_SequenceCount* tSC);

extern void unifi_mgt_pmkid_candidate_list_ind(void* context, const unifi_PmkidCandidateList* candidates);

extern void unifi_mgt_pmkid_cfm(void* context, unifi_Status status, unifi_ListAction action, 
                     const unifi_PmkidList* getPmkidList);

extern void unifi_mgt_key_cfm(void* context, unifi_Status status, unifi_ListAction action);

extern void unifi_mgt_packet_filter_set_cfm(void* context, unifi_Status status);

extern void unifi_mgt_tspec_cfm(void* context, unifi_Status status, uint32 transactionId, 
                     unifi_TspecResultCode tspecResultCode, 
                     const unifi_DataBlock* tspec);

extern void unifi_mgt_tspec_ind(void* context, unifi_ListAction action, uint32 transactionId);


#endif /* __MGT_SAP_H__ */

#ifdef __cplusplus
}
#endif
